<template>
  <div>
    <index-nav-bar class="w-full bg-white  shadow-xl fixed transition duration-300 ease-ease -translate-y-36 top-0 right-0 left-0  z-20" :class="{'translate-y-0': isShowHeader}"/>
    <div>
      <Nuxt />
    </div>
    <index-footer />
  </div>
</template>

<script>
import IndexNavBar from '~/components/IndexNavBar.vue';
import IndexFooter from '~/components/IndexFooter.vue'

export default {
  components: {
    IndexNavBar,
    IndexFooter
  },
  data(){
    return {
      isShowHeader: false
    }
  },
  beforeMount () {
    window.addEventListener('scroll', this.handleScroll)
  },
  beforeDestroy () {
    window.removeEventListener('scroll', this.handleScroll)
  },
  methods: {
    handleScroll (event) {
      // Any code to be executed when the window is scrolled
      if(window.scrollY >= 260){
        this.isShowHeader = true
      } else {
        this.isShowHeader = false
      }
    }
  }
}
</script>
